.container {
    padding: 0 20px;
    display: flex;
    flex-direction: column;
    height: 100vh;
    background-color: var(--bg-default);
    border-radius: 30px;
    margin-bottom: 30px;
}

.header {
    text-align: center;
    margin-bottom: 25px;
    font-weight: 600;
    color: var(--text-default);
    font-size: 18px;
    text-align: center;
    padding-top: 25px;
}

.subText {
    text-align: center;
    margin-bottom: 20px;
    font-weight: 400;
    color: var(--text-default);
    font-size: 15px;
    text-align: center;
}

.skeleton-card {
    display: flex;
    align-items: center;
    margin-top: 15px;
    margin-bottom: 15px;
}

.skeleton-card-details {
    flex: 14;
    display: flex;
    flex-direction: column;
    margin-left: 10px;
    margin-right: 10px;
    gap: 4px;
}

.skeleton-card-logo {
    width: 33px;
    height: 33px;
    background-color: var(--panel-soft);
    border-radius: var(--default-image-border-radius);
}

.skeleton-card-info {
    height: 15px;
    background-color: var(--panel-soft);
    border-radius: 10px;
}

.skeleton-card-status {
    width: 60px;
    height: 24px;
    background-color: var(--panel-soft);
    border-radius: 8px;
}

.skeleton-card-limit-text {
    width: 60px;
    height: 10px;
    background-color: var(--panel-soft);
    border-radius: var(--default-image-border-radius);
}

.skeleton-card-controls {
    flex: 1;
    height: 15px;
    background-color: var(--panel-soft);
    border-radius: 10px;
}

hr {
    border: 0.5px solid var(--border-neutral-50);
    margin: 0;
}

.card-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.card-list>div {
    display: flex;
    align-items: center;
    color: var(--text-default);
    justify-content: space-between;
}

.card-info {
    flex: 1;
    padding: 15px 0;
    display: flex;
    align-items: center;
}

.card-logo {
    width: 33px;
    height: 33px;
    margin-right: 10px;
    border-radius: var(--default-image-border-radius);
    background-color: var(--bg-neutral);
    display: flex;
    justify-content: center;
    align-items: center;
}

.card-details {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.card-text {
    font-size: 12px;
}

.card-withdraw-info,
.skeleton-card-withdraw-info {
    display: flex;
    align-items: center;
    gap: 10px
}

.card-status {
    padding: 6px;
    border-radius: 6px;
    font-size: 10px;
    text-align: center;
    color: var(--text-default);
    width: fit-content;
}

.card-limit-text {
    font-size: 10px;
    color: var(--text-default);
}

.amex {
    background-image: url('../img/american-express-saved-card-icon.svg');
    width: 30px;
    height: 30px;
}

.mastercard {
    background-image: url('../img/master-card-saved-card-icon.svg');
    width: 20px;
    height: 20px;
}

.visa { 
    background-image: url('../img/visa-saved-card-icon.svg');
    width: 22px;
    height: 22px;
}

.diners-club {
    background-image: url('../img/diners-club-saved-card-icon.svg');
    width: 25px;
    height: 25px;
}

.jcb {
    background-image: url('../img/jcb-saved-card-icon.svg');
    width: 22px;
    height: 22px;
}

.discover {
    background-image: url('../img/discover-saved-card-icon.svg');
    width: 25px;
    height: 25px;
}

.maestro {
    background-image: url('../img/maestro-saved-card-icon.svg');
    width: 20px;
    height: 20px;
}

.controls {
    display: flex;
    gap: 10px;
}

.add-card {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-top: 20px;
}

.add-card-icon {
    background-color: var(--bg-contrast);
    color: var(--text-contrast);
    border-radius: 50%;
    width: 28px;
    height: 28px;
    font-size: 24px;
    line-height: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.add-card-icon span {
    margin-bottom: 3px;
    margin-left: 1px;
}

.add-card-text {
    color: var(--text-default);
    margin-left: 10px;
}

.details-link {
    color: var(--text-default);
    text-decoration: none;
}

.remove-card-icon {
    color: var(--bg-contrast);;
}

.loader {
    width: 20px;
    aspect-ratio: 1;
    display: none;
    border-radius: 50%;
    background: var(--gradient-accent-vertical), var(--gradient-accent-horizontal);
    background-repeat: no-repeat;
    animation: l23 1s infinite steps(12);
    margin: auto;
    position: absolute;
    top: 50%;
    left: 50%;
}

.loader::before,
.loader::after {
    content: "";
    grid-area: 1/1;
    border-radius: 50%;
    background: inherit;
    opacity: 0.915;
    transform: rotate(30deg);
}

.loader::after {
    opacity: 0.83;
    transform: rotate(60deg);
}

@keyframes l23 {
    100% {
        transform: rotate(1turn)
    }
}

@keyframes shimmer {
    0% {
        background-position: -200px 0;
    }

    100% {
        background-position: calc(200px + 100%) 0;
    }
}

.skeleton-card-info,
.skeleton-card-logo,
.skeleton-card-controls {
    background-image: var(--gradient-striped-soft);
    background-repeat: no-repeat;
    background-size: 200px 100%;
    animation: shimmer 1.5s infinite linear;
}
